[global]
	# nějaká výchozí globální nastavení
	...

	# vypnutí hlášení Samby v Avahi -- Netatalk bude default
	multicast dns register = no

	# AAPL rozšíření -- ea vypnou podporu wide links, tak pozor na jiné shary
	ea support = yes
	min protocol = SMB2
	vfs objects = acl_xattr fruit catia streams_xattr
	fruit:aapl = yes

	fruit:model = TimeCapsule
	fruit:posix_rename = yes
	fruit:veto_appledouble = no
	fruit:wipe_intentionally_left_blank_rfork = yes
	fruit:delete_empty_adfiles = yes

	# důležité -- přenos defaultně ignoruje vnitřní POSIXové ACL a uvažuje ACE
	# záznamy, takže to může skončit tím, že kapsa nebude mít
	# oprávnění pro zápis
	fruit:nfs_aces = no

	# Netatalk interoperabilita
	fruit:metadata = netatalk
	fruit:resource = file
	fruit:locking = netatalk
    fruit:encoding = native

	# xattr pro streamy
    streams_xattr:prefix = user.
    streams_xattr:store_stream_type = no

    # někdo ještě dělá nastavení na úrovni socketů, ale je potřeba pamatovat,
    # že tohle se odvíjí od dané vrstvy a manuální nastavení bufferů
    # nemusí v nových verzích Samby fungovat lépe, než autotuning
    socket options = IPTOS_LOWDELAY

[TEST SMB Time Machine]
	# obecná nastavení -- jinak není přístup k položce
	path = /server/timemachine/testsmb
	browseable = yes
	read only = no
	valid users = eida @eida

	vfs objects = fruit catia streams_xattr
	# Time Machine
	fruit:time machine = yes
	# limit na 1 TB
	fruit:time machine max size = 1 T
	# přepis globálního nastavení -- používat streamy
	fruit:metadata = stream

	# pak si můžeme hrát s per-share asynchronním přístupem
	aio write size = 16384
	aio read size = 16384
